SystemOrganization addCategory: #'JQWidgetBox-Splitter-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Splitter-Dev-Example'!

JQWidgetExample subclass: #JQSplitterExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Splitter-Dev-Example'!

!JQSplitterExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:23'!
description
	^ 'JQuery Splitter'! !

!JQSplitterExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:23'!
shortName
	^'splitter'

! !

!JQSplitterExample methodsFor: 'rendering' stamp: 'NickAger 1/27/2010 16:32'!
renderContentOn: html
	html div
		id: #verticalSplitter;		
		script: (html jQuery this splitter
			vertical; 
			outline: true;
			minLeft: 100;
			sizeLeft: 150; 
			minRight: 100;
			resizeToWidth: true;
			cookie: 'vsplitter';
			accessKey: 'I');
		with: [
		 html div id: 'leftPane'; with: 'Left pane'.
		 html div id: 'rightPane'; with: 'Right pane'
	]
 ! !

!JQSplitterExample methodsFor: 'updating' stamp: 'tbn 11/2/2009 20:33'!
updateRoot: html
	super updateRoot: html.					 	 
	html stylesheet url: self library / #splitterCss.
	html javascript url: self library / #jquerycookieJs.
	html javascript url: self library / #splitterJs.	! !

JQWidgetBoxWidgetTest subclass: #JQSplitterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Splitter-Dev-Tests'!

!JQSplitterTest methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:31'!
outro
	^'	$(window).bind("resize", function(){$("splitter").trigger("resize");}).trigger("resize");'! !

!JQSplitterTest methodsFor: 'testing' stamp: 'tbn 11/2/2009 20:31'!
testActions
	self
		assert: ((self jQuery: 'splitter') splitter vertical)
		equals: self function, '("splitter").splitter({type:"v"});', self outro.

	self
		assert: ((self jQuery: 'splitter') splitter horizontal)
		equals: self function, '("splitter").splitter({type:"h"});', self outro.
		
	self
		assert: ((self jQuery: 'splitter') splitter accessKey: 'M')
		equals: self function, '("splitter").splitter({accessKey:"M"});', self outro.
		
! !
